File: changelog

package info (click to toggle)
ruby-awesome-print 1.8.0-2
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, bullseye, sid
  • size: 744 kB
  • sloc: ruby: 3,787; makefile: 2
file content (62 lines) | stat: -rw-r--r-- 1,858 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
ruby-awesome-print (1.8.0-2) unstable; urgency=medium

  * Team upload.

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Lucas Kanashiro ]
  * Add patch to skip failing tests against Ruby 2.7 (Closes: #952081)
  * Bump debhelper compatibility level to 12
  * Declare compliance with Debian Policy 4.5.0
  * Remove runtime dependency on the Ruby interpreter
  * d/control: rules does not require root
  * Use autodep8 ruby tests instead of a hardcoded one

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Tue, 10 Mar 2020 11:05:25 -0300

ruby-awesome-print (1.8.0-1) unstable; urgency=medium

  * Team upload.

  [ Michael Moll ]
  * B-D on ruby-nokogiri for tests

  [ HIGUCHI Daisuke (VDR dai) ]
  * Move Vcs-* to salsa.debian.org
  * Bump debhelper compatibility level to 11
  * eliminate lintian warning: insecure-copyright-format-uri
  * update upstream homepage
  * remove needless patches
  * remove simplecov from tests
  * refresh patch
  * add ruby-activesupport to B-D:
  * support autopkgtest-pkg-ruby

  [ Cédric Boutillier ]
  * Add upstream patches from newer ruby and rails
  * Add upstream patch to fix integer colorization with Ruby2.5
    (Closes: #888119)
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Move debian/watch to gemwatch.debian.net

 -- Cédric Boutillier <boutil@debian.org>  Tue, 22 Jan 2019 12:28:22 +0100

ruby-awesome-print (1.6.1-2) unstable; urgency=medium

  * Team upload.
  * Fix test failure under autopkgtest

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 10 Sep 2015 00:45:26 +0000

ruby-awesome-print (1.6.1-1) unstable; urgency=medium

  * Import upstream version 1.6.1

 -- Tim Potter <tpot@hp.com>  Tue, 11 Aug 2015 12:23:55 +1000

ruby-awesome-print (1.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #711979)

 -- Tim Potter <tpot@hp.com>  Tue, 14 Oct 2014 15:58:54 +1100